<script lang="ts">
import Vue from 'vue';
import { CtfCustomerLogo } from '../../models/content-types.dto';

export default Vue.extend({
  name: 'MarketoFormPageLogos',
  props: {
    data: {
      type: Object as () => CtfCustomerLogo,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="marketo-form-page-logos">
    <SlpContainer>
      <div class="marketo-form-page-logos__wrapper">
        <SlpTypography
          v-if="data?.text"
          tag="h3"
          variant="heading5-bold"
          class="slp-mb-48 marketo-form-page-logos__header"
        >
          {{ data.text }}
        </SlpTypography>

        <div class="marketo-form-page-logos__logos-wrapper">
          <a
            v-for="logo in data.logos"
            :key="logo.fields?.internalName"
            class="marketo-form-page-logos__logo"
            :href="logo.fields?.link"
          >
            <img
              :src="logo.fields?.image?.fields?.file?.url"
              :alt="logo.fields?.image?.fields?.altText"
            />
          </a>
        </div>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.marketo-form-page-logos {
  background-color: #e7e7e7;
  padding: 40px 0 60px 0;
  position: relative;
  margin-bottom: 80px;
  text-align: center;
  &:before,
  &:after {
    background-color: #e7e7e7;
    content: '';
    display: block;
    height: 80px;
    left: 50%;
    position: absolute;
    transform: rotate(5deg) translateX(-50%);
    width: 101%;
    @media (min-width: $breakpoint-sm) {
      transform: rotate(2deg) translateX(-50%);
    }
  }
  &:before {
    top: -20px;
  }
  &:after {
    bottom: -60px;
  }
  &__logos-wrapper {
    display: block;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    grid-gap: 20px;

    @media (min-width: $breakpoint-sm) {
      display: flex;
    }
  }
  &__logo {
    filter: grayscale(100%);
    opacity: 0.4;
    text-align: center;
    img {
      width: 100%;
      max-width: 110px;
      margin: 20px;
      transition: all 0.3s ease;
    }
    &:hover,
    &:focus {
      img {
        transform: scale(1.2);
      }
    }
  }
  &__header {
    color: #333333;
    opacity: 0.6;
  }
}
</style>
